//+------------------------------------------------------------------+
//|                                                    MA ribbon norisan.mq4 |
//|                                                                  |
//|                                                                  |
//| original idea by norisan                                          |
//+------------------------------------------------------------------+
#property copyright "norisan"


#property indicator_chart_window
#property indicator_buffers 6
#property indicator_color1 LightPink;
#property indicator_color2 LightSkyBlue;
#property indicator_color3 Red
#property indicator_color4 Blue
#property indicator_color5 DarkOrange
#property indicator_color6 Green
#property indicator_width1 5
#property indicator_width2 5
#property indicator_width3 3
#property indicator_width4 2
#property indicator_width5 2
#property indicator_width6 2

//
//
//
//
//

extern int       MA1Period=20;
extern int       MA1Method=MODE_SMA;
extern int       MA1Price =PRICE_CLOSE;
extern int       MA2Period=40;
extern int       MA2Method=MODE_SMA;
extern int       MA2Price =PRICE_CLOSE;
extern int       MA3Period=75;
extern int       MA3Method=MODE_EMA;
extern int       MA3Price =PRICE_CLOSE;
extern int       MA4Period=200;
extern int       MA4Method=MODE_SMA;
extern int       MA4Price =PRICE_CLOSE;


//
//
//
//
//

double buffer1[];
double buffer2[];
double buffer3[];
double buffer4[];
double buffer5[];
double buffer6[];

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,buffer3); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,buffer4); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,buffer1);
   SetIndexBuffer(3,buffer2);
   SetIndexBuffer(4,buffer5);
   SetIndexBuffer(5,buffer6);
   return(0);
}
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;

   //
   //
   //
   //
   //

   for(i=limit; i>=0; i--)
   {
      buffer1[i] = iMA(NULL,0,MA1Period,0,MA1Method,MA1Price,i);
      buffer2[i] = iMA(NULL,0,MA2Period,0,MA2Method,MA2Price,i);
      buffer3[i] = buffer1[i];
      buffer4[i] = buffer2[i];
      buffer5[i] = iMA(NULL,0,MA3Period,0,MA3Method,MA3Price,i);
      buffer6[i] = iMA(NULL,0,MA4Period,0,MA4Method,MA4Price,i);     
   }
   return(0);
}
